Prerequisites

  • A Kubernetes cluster, version 1.16 or a more recent version
  • cert-manager version 1.0.0, or greater up to 1.2, installed in your cluster
  • kubectl, a version that works with your Kubernetes cluster
  • helm, version 3 or a more recent version
  • If you don't use helm to acquire the operator, access to VMware Tanzu Network, to acquire the Helm chart
  • Sufficient memory and CPU capacity in your cluster to accomodate memory and CPU resources you have requested for Tanzu GemFire cluster locators and servers
  • Enough nodes in your Kubernetes cluster to support all of your Tanzu GemFire cluster servers, if you will set the antiAffinityPolicy to a value other than None

Supported Platforms

These Kubernetes platforms support VMware Tanzu GemFire for Kubernetes.

  • Google Kubernetes Engine (GKE)

  • Tanzu Kubernetes Grid (TKG)

  • Tanzu Kubernetes Grid Integrated Edition (TKGi)

check-circle-line exclamation-circle-line close-line
Scroll to top icon